/**
 * can发送与解码任务
*/
#include  "can_task.h"
#include "TopDefine.h"
#include "attrTask.h"
#include "djiMotor.h"

/**
 * \brief can任务
 *
 * \param argument 未使用
 */
void Task_Can(void *argument) 
{
    (void)argument; /* 未使用argument，消除警告 */

    djiInit();//FIFO滤波器初始化
    Odrive_Can_Init();
    while(1)
    {
        waitNewDji();//等待新数据
        djiMotorEncode();//数据解析
        
    }
}
